TOUCH(1)

NAME
touch - Update the access and modification times of each FILE to the current time.

SYNOPSIS
touch [--help] [-a ] [-t ] [-d|--date] [-f ] [-m ] [-c|--no-create] [-h|--no-dereference] [-r|--reference] [--time] [-V|--version] [files]

DESCRIPTION
Update the access and modification times of each FILE to the current time.

OPTIONS

--help
    Print help information.

-a  change only the access time

-t <STAMP>
    use [[CC]YY]MMDDhhmm[.ss] instead of the current time

-d, --date <STRING>
    parse argument and use it instead of current time

-f  (ignored)

-m  change only the modification time

-c, --no-create
    do not create any files

-h, --no-dereference
    affect each symbolic link instead of any referenced file (only for systems that can change the timestamps of a symlink)

-r, --reference <FILE>
    use this file's times instead of the current time

--time <WORD>
    change only the specified time: "access", "atime", or "use" are equivalent to -a; "modify" or "mtime" are equivalent to -m Possible values:

    •   atime

    •   mtime

-V, --version
    Print version

[files]

EXTRA
## Examples Create specific files or update their timestamps if they already exist: touch {{path/to/file1 path/to/file2 ...}} Set the file [a]ccess or [m]odification times to the current one and don't create file if it doesn't exist: touch {{[-c|--no-create]}} {{-a|-m}} {{path/to/file1 path/to/file2 ...}} Set the file [t]ime to a specific value and don't create file if it doesn't exist: touch {{[-c|--no-create]}} -t {{YYYYMMDDHHMM.SS}} {{path/to/file1 path/to/file2 ...}} Set the files' timestamp to the reference file's timestamp, and do not create the file if it does not exist: touch {{[-c|--no-create]}} {{[-r|--reference]}} {{path/to/reference_file}} {{path/to/file1 path/to/file2 ...}} Set the timestamp by parsing a string: touch {{[-d|--date]}} "{{last year|5 hours|next thursday|nov 14|...}}" {{path/to/file}} Create multiple files with an increasing number: touch {{path/to/file{1..10}}} Create multiple files with a letter range: touch {{path/to/file{a..z}}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.9.0